diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index f8a56938..decbd98d 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -503,9 +503,9 @@ define('pgadmin.browser', [
         $.ajax({
           url: url_for('misc.cleanup'),
           type:'POST',
-          success: function() {},
-          error: function() {},
-        });
+        })
+        .done(function() {})
+        .fail(function() {});
       }, 300000);
       obj.Events.on('pgadmin:browser:tree:add', obj.onAddTreeNode, obj);
       obj.Events.on('pgadmin:browser:tree:update', obj.onUpdateTreeNode, obj);
@@ -1539,69 +1539,69 @@ define('pgadmin.browser', [
           type: 'GET',
           cache: false,
           dataType: 'json',
-          success: function(res) {
-            // Node information can come as result/data
-            var data = res.result || res.data;
-
-            data._label = data.label;
-            data.label = _.escape(data.label);
-            var d = ctx.t.itemData(ctx.i);
-            _.extend(d, data);
-            ctx.t.setLabel(ctx.i, {label: _d.label});
-            ctx.t.addIcon(ctx.i, {icon: _d.icon});
-            ctx.t.setId(ctx.i, {id: _d.id});
-            ctx.t.setInode(ctx.i, {inode: data.inode});
+        })
+        .done(function(res) {
+          // Node information can come as result/data
+          var data = res.result || res.data;
+
+          data._label = data.label;
+          data.label = _.escape(data.label);
+          var d = ctx.t.itemData(ctx.i);
+          _.extend(d, data);
+          ctx.t.setLabel(ctx.i, {label: _d.label});
+          ctx.t.addIcon(ctx.i, {icon: _d.icon});
+          ctx.t.setId(ctx.i, {id: _d.id});
+          ctx.t.setInode(ctx.i, {inode: data.inode});
 
-            if (
-              _n.can_expand && typeof(_n.can_expand) == 'function'
-            ) {
-              if (!_n.can_expand(d)) {
-                ctx.t.unload(ctx.i);
-                return;
-              }
-            }
-            ctx.b._refreshNode(ctx, ctx.branch);
-            var success = (ctx.o && ctx.o.success) || ctx.success;
-            if (success && typeof(success) == 'function') {
-              success();
+          if (
+            _n.can_expand && typeof(_n.can_expand) == 'function'
+          ) {
+            if (!_n.can_expand(d)) {
+              ctx.t.unload(ctx.i);
+              return;
             }
-          },
-          error: function(xhr, error, status) {
-            if (
-              !Alertify.pgHandleItemError(
-                xhr, error, status, {item: _i, info: info}
-              )
-            ) {
-              var contentType = xhr.getResponseHeader('Content-Type'),
-                jsonResp = (
-                  contentType &&
-                    contentType.indexOf('application/json') == 0 &&
-                    JSON.parse(xhr.responseText)
-                ) || {};
+          }
+          ctx.b._refreshNode(ctx, ctx.branch);
+          var success = (ctx.o && ctx.o.success) || ctx.success;
+          if (success && typeof(success) == 'function') {
+            success();
+          }
+        })
+        .fail(function(xhr, error, status) {
+          if (
+            !Alertify.pgHandleItemError(
+              xhr, error, status, {item: _i, info: info}
+            )
+          ) {
+            var contentType = xhr.getResponseHeader('Content-Type'),
+              jsonResp = (
+                contentType &&
+                  contentType.indexOf('application/json') == 0 &&
+                  JSON.parse(xhr.responseText)
+              ) || {};
 
-              if (xhr.status == 410 && jsonResp.success == 0) {
-                var p = ctx.t.parent(ctx.i);
+            if (xhr.status == 410 && jsonResp.success == 0) {
+              var p = ctx.t.parent(ctx.i);
 
-                ctx.t.remove(ctx.i, {
-                  success: function() {
-                    if (p) {
-                      // Try to refresh the parent on error
-                      try {
-                        pgBrowser.Events.trigger(
-                          'pgadmin:browser:tree:refresh', p
-                        );
-                      } catch (e) { console.warn(e.stack || e); }
-                    }
-                  },
-                });
-              }
-
-              Alertify.pgNotifier(
-                error, xhr, gettext('Error retrieving details for the node.'),
-                function() { console.warn(arguments); }
-              );
+              ctx.t.remove(ctx.i, {
+                success: function() {
+                  if (p) {
+                    // Try to refresh the parent on error
+                    try {
+                      pgBrowser.Events.trigger(
+                        'pgadmin:browser:tree:refresh', p
+                      );
+                    } catch (e) { console.warn(e.stack || e); }
+                  }
+                },
+              });
             }
-          },
+
+            Alertify.pgNotifier(
+              error, xhr, gettext('Error retrieving details for the node.'),
+              function() { console.warn(arguments); }
+            );
+          }
         });
       }.bind(this);
 
@@ -1786,16 +1786,16 @@ define('pgadmin.browser', [
           $.ajax({
             url: childNodeUrl,
             dataType: 'json',
-            success: function(res) {
-              if (res.success) {
-                arrayChildNodeData.push(res.data);
-              }
-              fetchNodeInfo(_callback);
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
-              fetchNodeInfo(_callback);
-            },
+          })
+          .done(function(res) {
+            if (res.success) {
+              arrayChildNodeData.push(res.data);
+            }
+            fetchNodeInfo(_callback);
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            fetchNodeInfo(_callback);
           });
         };
 
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 35eca24b..bef03ae5 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -729,30 +729,30 @@ define('pgadmin.browser.node', [
             $.ajax({
               url: obj.generate_url(i, input.url, d, true),
               type: 'DELETE',
-              success: function(res) {
-                if (res.success == 0) {
-                  pgBrowser.report_error(res.errormsg, res.info);
-                } else {
-                  pgBrowser.removeTreeNode(i, true);
-                }
-                return true;
-              },
-              error: function(jqx) {
-                var msg = jqx.responseText;
-                /* Error from the server */
-                if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
-                  try {
-                    var data = JSON.parse(jqx.responseText);
-                    msg = data.errormsg;
-                  } catch (e) {
-                    console.warn(e.stack || e);
-                  }
+            })
+            .done(function(res) {
+              if (res.success == 0) {
+                pgBrowser.report_error(res.errormsg, res.info);
+              } else {
+                pgBrowser.removeTreeNode(i, true);
+              }
+              return true;
+            })
+            .fail(function(jqx) {
+              var msg = jqx.responseText;
+              /* Error from the server */
+              if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
+                try {
+                  var data = JSON.parse(jqx.responseText);
+                  msg = data.errormsg;
+                } catch (e) {
+                  console.warn(e.stack || e);
                 }
-                pgBrowser.report_error(
-                  S(gettext('Error dropping %s: "%s"'))
-                  .sprintf(obj.label, objName)
-                  .value(), msg);
-              },
+              }
+              pgBrowser.report_error(
+                S(gettext('Error dropping %s: "%s"'))
+                .sprintf(obj.label, objName)
+                .value(), msg);
             });
           },
           null).show();
diff --git a/web/pgadmin/browser/static/js/node.ui.js b/web/pgadmin/browser/static/js/node.ui.js
index 227b4571..064ca312 100644
--- a/web/pgadmin/browser/static/js/node.ui.js
+++ b/web/pgadmin/browser/static/js/node.ui.js
@@ -146,16 +146,16 @@ define([
             $.ajax({
               async: false,
               url: full_url,
-              success: function(res) {
-                /*
-                 * We will cache this data for short period of time for avoiding
-                 * same calls.
-                 */
-                data = cache_node.cache(node.type + '#' + url, node_info, cache_level, res.data);
-              },
-              error: function() {
-                m.trigger('pgadmin:view:fetch:error', m, self.field);
-              },
+            })
+            .done(function(res) {
+              /*
+               * We will cache this data for short period of time for avoiding
+               * same calls.
+               */
+              data = cache_node.cache(node.type + '#' + url, node_info, cache_level, res.data);
+            })
+            .fail(function() {
+              m.trigger('pgadmin:view:fetch:error', m, self.field);
             });
             m.trigger('pgadmin:view:fetched', m, self.field);
           }
@@ -387,16 +387,16 @@ define([
           $.ajax({
             async: false,
             url: full_url,
-            success: function(res) {
-              /*
-               * We will cache this data for short period of time for avoiding
-               * same calls.
-               */
-              data = cache_node.cache(node.type + '#' + url, node_info, cache_level, res.data);
-            },
-            error: function() {
-              eventHandler.trigger('pgadmin:view:fetch:error', m, column);
-            },
+          })
+          .done(function(res) {
+            /*
+             * We will cache this data for short period of time for avoiding
+             * same calls.
+             */
+            data = cache_node.cache(node.type + '#' + url, node_info, cache_level, res.data);
+          })
+          .fail(function() {
+            eventHandler.trigger('pgadmin:view:fetch:error', m, column);
           });
           eventHandler.trigger('pgadmin:view:fetched', m, column);
         }
@@ -559,4 +559,4 @@ define([
   });
 
   return Backform;
-});
\ No newline at end of file
+});
diff --git a/web/pgadmin/browser/static/js/preferences.js b/web/pgadmin/browser/static/js/preferences.js
index b0c6dc48..1e84bd41 100644
--- a/web/pgadmin/browser/static/js/preferences.js
+++ b/web/pgadmin/browser/static/js/preferences.js
@@ -80,32 +80,32 @@ _.extend(pgBrowser, {
     setTimeout(function() {
       $.ajax({
         url: url_for('preferences.get_all'),
-        success: function(res) {
-          self.preferences_cache = res;
-          self.preference_version(self.generate_preference_version());
-
-          pgBrowser.keyboardNavigation.init();
-          if(pgBrowser.tree) {
-            modifyAnimation.modifyAcitreeAnimation(self);
-            modifyAnimation.modifyAlertifyAnimation(self);
+      })
+      .done(function(res) {
+        self.preferences_cache = res;
+        self.preference_version(self.generate_preference_version());
+
+        pgBrowser.keyboardNavigation.init();
+        if(pgBrowser.tree) {
+          modifyAnimation.modifyAcitreeAnimation(self);
+          modifyAnimation.modifyAlertifyAnimation(self);
+        }
+
+        /* Once the cache is loaded after changing the preferences,
+         * notify the modules of the change
+         */
+        if(modulesChanged) {
+          if(typeof modulesChanged === 'string'){
+            $.event.trigger('prefchange:'+modulesChanged);
+          } else {
+            _.each(modulesChanged, (val, key)=> {
+              $.event.trigger('prefchange:'+key);
+            });
           }
-
-          /* Once the cache is loaded after changing the preferences,
-           * notify the modules of the change
-           */
-          if(modulesChanged) {
-            if(typeof modulesChanged === 'string'){
-              $.event.trigger('prefchange:'+modulesChanged);
-            } else {
-              _.each(modulesChanged, (val, key)=> {
-                $.event.trigger('prefchange:'+key);
-              });
-            }
-          }
-        },
-        error: function(xhr, status, error) {
-          Alertify.pgRespErrorNotify(xhr, error);
-        },
+        }
+      })
+      .fail(function(xhr, status, error) {
+        Alertify.pgRespErrorNotify(xhr, error);
       });
     }, 500);
   },
diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index 5c812bf5..02c7d439 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -89,17 +89,17 @@ define('pgadmin.dashboard', [
           $.ajax({
             url: action_url,
             type: 'DELETE',
-            success: function(res) {
-              if (res == gettext('Success')) {
-                Alertify.success(txtSuccess);
-                refresh_grid();
-              } else {
-                Alertify.error(txtError);
-              }
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
-            },
+          })
+          .done(function(res) {
+            if (res == gettext('Success')) {
+              Alertify.success(txtSuccess);
+              refresh_grid();
+            } else {
+              Alertify.error(txtError);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
           });
         },
         function() {
@@ -214,14 +214,14 @@ define('pgadmin.dashboard', [
             url: url,
             type: 'GET',
             dataType: 'html',
-            success: function(data) {
-              $(div).html(data);
-            },
-            error: function() {
-              $(div).html(
-                '<div class="alert alert-danger pg-panel-message" role="alert">' + gettext('An error occurred whilst loading the dashboard.') + '</div>'
-              );
-            },
+          })
+          .done(function(data) {
+            $(div).html(data);
+          })
+          .fail(function() {
+            $(div).html(
+              '<div class="alert alert-danger pg-panel-message" role="alert">' + gettext('An error occurred whilst loading the dashboard.') + '</div>'
+            );
           });
 
           // Cache the current IDs for next time
@@ -306,14 +306,14 @@ define('pgadmin.dashboard', [
                   url: url,
                   type: 'GET',
                   dataType: 'html',
-                  success: function(data) {
-                    $(div).html(data);
-                  },
-                  error: function() {
-                    $(div).html(
-                      '<div class="alert alert-danger pg-panel-message" role="alert">' + gettext('An error occurred whilst loading the dashboard.') + '</div>'
-                    );
-                  },
+                })
+                .done(function(data) {
+                  $(div).html(data);
+                })
+                .fail(function() {
+                  $(div).html(
+                    '<div class="alert alert-danger pg-panel-message" role="alert">' + gettext('An error occurred whilst loading the dashboard.') + '</div>'
+                  );
                 });
                 $(dashboardPanel).data('server_status', true);
               }
@@ -431,43 +431,43 @@ define('pgadmin.dashboard', [
           url: path,
           type: 'GET',
           dataType: 'html',
-          success: function(resp) {
-            $(container).removeClass('graph-error');
-            data = JSON.parse(resp);
-            pgAdmin.Dashboard.render_chart(container, data, dataset, sid, did, url, options, counter, refresh);
-          },
-          error: function(xhr) {
-            let err = '';
-            let msg = '';
-            let cls = 'info';
-
-            if (xhr.readyState === 0) {
-              msg = gettext('Not connected to the server or the connection to the server has been closed.');
-            } else {
-              err = JSON.parse(xhr.responseText);
-              msg = err.errormsg;
-
-              // If we get a 428, it means the server isn't connected
-              if (xhr.status === 428) {
-                if (_.isUndefined(msg) || _.isNull(msg)) {
-                  msg = gettext('Please connect to the selected server to view the graph.');
-                }
-              } else {
-                msg = gettext('An error occurred whilst rendering the graph.');
-                cls = 'danger';
+        })
+        .done(function(resp) {
+          $(container).removeClass('graph-error');
+          data = JSON.parse(resp);
+          pgAdmin.Dashboard.render_chart(container, data, dataset, sid, did, url, options, counter, refresh);
+        })
+        .fail(function(xhr) {
+          let err = '';
+          let msg = '';
+          let cls = 'info';
+
+          if (xhr.readyState === 0) {
+            msg = gettext('Not connected to the server or the connection to the server has been closed.');
+          } else {
+            err = JSON.parse(xhr.responseText);
+            msg = err.errormsg;
+
+            // If we get a 428, it means the server isn't connected
+            if (xhr.status === 428) {
+              if (_.isUndefined(msg) || _.isNull(msg)) {
+                msg = gettext('Please connect to the selected server to view the graph.');
               }
+            } else {
+              msg = gettext('An error occurred whilst rendering the graph.');
+              cls = 'danger';
             }
+          }
 
-            $(container).addClass('graph-error');
-            $(container).html(
-              '<div class="alert alert-' + cls + ' pg-panel-message" role="alert">' + msg + '</div>'
-            );
+          $(container).addClass('graph-error');
+          $(container).html(
+            '<div class="alert alert-' + cls + ' pg-panel-message" role="alert">' + msg + '</div>'
+          );
 
-            // Try again...
-            if (container.clientHeight > 0 && container.clientWidth > 0) {
-              setTimeout(setTimeoutFunc, refresh * 1000);
-            }
-          },
+          // Try again...
+          if (container.clientHeight > 0 && container.clientWidth > 0) {
+            setTimeout(setTimeoutFunc, refresh * 1000);
+          }
         });
       };
 
diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index 0934ae40..986a5401 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -226,18 +226,18 @@ define('misc.bgprocess', [
           cache: false,
           async: true,
           contentType: 'application/json',
-          success: function(res) {
+        })
+        .done(function(res) {
+          setTimeout(function() {
+            self.update(res);
+          }, 10);
+        })
+        .fail(function(res) {
+          // Try after some time only if job id present
+          if (res.status != 410)
             setTimeout(function() {
               self.update(res);
-            }, 10);
-          },
-          error: function(res) {
-            // Try after some time only if job id present
-            if (res.status != 410)
-              setTimeout(function() {
-                self.update(res);
-              }, 10000);
-          },
+            }, 10000);
         });
       },
 
@@ -429,12 +429,12 @@ define('misc.bgprocess', [
           cache: false,
           async: true,
           contentType: 'application/json',
-          success: function() {
-            return;
-          },
-          error: function() {
-            console.warn(arguments);
-          },
+        })
+        .done(function() {
+          return;
+        })
+        .fail(function() {
+          console.warn(arguments);
         });
       },
     });
@@ -478,31 +478,31 @@ define('misc.bgprocess', [
           cache: false,
           async: true,
           contentType: 'application/json',
-          success: function(res) {
-            if (!res || !_.isArray(res)) {
-              return;
-            }
-            for (var idx in res) {
-              var process = res[idx];
-              if ('id' in process) {
-                if (!(process.id in observer.bgprocesses)) {
-                  observer.bgprocesses[process.id] = new BGProcess(process);
-                }
+        })
+        .done(function(res) {
+          if (!res || !_.isArray(res)) {
+            return;
+          }
+          for (var idx in res) {
+            var process = res[idx];
+            if ('id' in process) {
+              if (!(process.id in observer.bgprocesses)) {
+                observer.bgprocesses[process.id] = new BGProcess(process);
               }
             }
-            if (recheck && res.length == 0) {
-              // Recheck after some more time
-              setTimeout(
-                function() {
-                  observer.update_process_list(false);
-                }, 3000
-              );
-            }
-          },
-          error: function() {
-            // FIXME:: What to do now?
-            console.warn(arguments);
-          },
+          }
+          if (recheck && res.length == 0) {
+            // Recheck after some more time
+            setTimeout(
+              function() {
+                observer.update_process_list(false);
+              }, 3000
+            );
+          }
+        })
+        .fail(function() {
+          // FIXME:: What to do now?
+          console.warn(arguments);
         });
       },
 
diff --git a/web/pgadmin/misc/file_manager/static/js/create_dialogue.js b/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
index 8deb7200..c640473a 100644
--- a/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
+++ b/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
@@ -82,14 +82,14 @@ module.exports =  Alertify.dialog('createModeDlg', function() {
         dataType: 'json',
         contentType: 'application/x-download; charset=utf-8',
         async: false,
-        success: function(resp) {
-          var data = resp.data.result;
-          if (data['Code'] === 1) {
-            is_exist = true;
-          } else {
-            is_exist = false;
-          }
-        },
+      })
+      .done(function(resp) {
+        var data = resp.data.result;
+        if (data['Code'] === 1) {
+          is_exist = true;
+        } else {
+          is_exist = false;
+        }
       });
       return is_exist;
     },
@@ -109,19 +109,19 @@ module.exports =  Alertify.dialog('createModeDlg', function() {
         dataType: 'json',
         contentType: 'application/json; charset=utf-8',
         async: false,
-        success: function(resp) {
-          var data = resp.data.result;
-          if (data.Code === 1) {
-            permission = true;
-          } else {
-            $('.file_manager_ok').addClass('disabled');
-            Alertify.error(data.Error);
-          }
-        },
-        error: function() {
+      })
+      .done(function(resp) {
+        var data = resp.data.result;
+        if (data.Code === 1) {
+          permission = true;
+        } else {
           $('.file_manager_ok').addClass('disabled');
-          Alertify.error(gettext('Error occurred while checking access permission.'));
-        },
+          Alertify.error(data.Error);
+        }
+      })
+      .fail(function() {
+        $('.file_manager_ok').addClass('disabled');
+        Alertify.error(gettext('Error occurred while checking access permission.'));
       });
       return permission;
     },
